from geopy.geocoders import Nominatim
import pandas as pd

geolocator = Nominatim(user_agent="geoapiExercises")

zipcodes = []
counties = []

df = pd.read_csv("data.csv", sep=",")
df['coordinates'] = df['coordinates'].str.split(",")
zip2county = pd.read_csv("zip2county.csv", sep=",")


def generate_loc():
    for i in range(len(df['coordinates'])):
        zipcode = str(reverse_geocode(df['coordinates'][i][0], df['coordinates'][i][1]))
        zipcodes.append(zipcode)
        if zipcode is None:
            counties.append(None)
        else:
            zipcode = zipcode[:5]
            if zipcode.isdigit():
                county = zip_to_county(zipcode)
                counties.append(county)
            else:
                counties.append(None)
        print("Progress: " + str(i * 100 / len(df['coordinates'])) + "%")

    df['zipcode'] = zipcodes
    df['county'] = counties

    df.to_csv(path_or_buf="data.csv", sep=",")


def reverse_geocode(longitude, latitude):
    # Latitude & Longitude input
    location = geolocator.reverse(str(latitude) + "," + str(longitude))
    address = location.raw['address']
    return address.get('postcode')  # [:5]


# only getting the first zip, there could be multiple
def zip_to_county(z):
    c = zip2county.loc[zip2county['ZIP'] == int(z)]['STCOUNTYFP'].tolist()
    if c:
        return c[0]
    else:
        return None


if __name__ == '__main__':
    generate_loc()
