const express = require('express')
const app = express()
const port = 3001

const tweet_model = require('./tweet_model')

app.use(express.json())
app.use(function (req, res, next) {
  res.setHeader('Access-Control-Allow-Origin', 'http://localhost:3000');
  res.setHeader('Access-Control-Allow-Methods', 'GET');
  res.setHeader('Access-Control-Allow-Headers', 'Content-Type, Access-Control-Allow-Headers');
  next();
});

app.get('/tweetCount', (req, res) => {
    tweet_model.getTweetCount()
      .then(response => {
        res.status(200).send(response);
      })
      .catch(error => {
        res.status(500).send(error);
      })
  })

app.get('/symptoms', (req, res) => {
    tweet_model.getSymptoms()
      .then(response => {
        res.status(200).send(response);
      })
      .catch(error => {
        res.status(500).send(error);
      })
  })

app.get('/symptomsFromToken', (req, res) => {
    tweet_model.getSymptomsFromToken()
      .then(response => {
        res.status(200).send(response);
      })
      .catch(error => {
        res.status(500).send(error);
      })
  })

app.get('/ingredients', (req, res) => {
    tweet_model.getIngredients()
      .then(response => {
        res.status(200).send(response);
      })
      .catch(error => {
        res.status(500).send(error);
      })
  })

app.listen(port, () => {
  console.log(`App running on port ${port}.`)
})
