import json
import get_tweets
import preprocess_streaming_data
import main_prediction
import clean_data
import update_db
import csv
import glob
import os


def editConfig():
  config = json.loads('{"keywords": "food sick vomit puke poisoning diarrhea", "use_hashtags": "true", "collection_frequency": "86400", "watched_accounts": "iWasPoisoned"}')

  keywords = config["keywords"].split(" ")
  print("Current keyword list: ", end= "")
  print(keywords)

  print("edit? (y) or (n)")
  console_input = input(">")
  if console_input == "y":
    print("append (a), new (n)")
    console_input = input(">")

    if console_input == "a":
      print("New keyword (-1 = Done):")
      console_input = ""
      while console_input != "-1":
        console_input = input(">")
        keywords.append(console_input)

    elif console_input == "n":
      print("New keyword (-1 = Done):")
      keywords = []
      console_input = ""
      while console_input != "-1":
        console_input = input(">")
        keywords.append(console_input)

    keywords = keywords[:-1]
    print("Updated keyword list: ", end= "")
    print(keywords)

  use_hashtags = config["use_hashtags"]
  print("Currently using hashtags in keywords: ", end= "")
  print(use_hashtags)
  print("change? (y) or (n)")
  console_input = input(">")

  if console_input == "y":
    if use_hashtags == "true":
      use_hashtags = "false"
    else:
      use_hashtags = "true"
    print("Updated using hashtags in keywords: ", end= "")
    print(use_hashtags)

  collection_frequency = config["collection_frequency"]
  print("Current collection rate (seconds): ", end= "")
  print(collection_frequency)
  print("change? (y) or (n)")
  console_input = input(">")

  if console_input == "y":
    print("New collection rate (search, predict, and add to db every n seconds):")
    console_input = input(">")
    collection_frequency = int(console_input)


def createKeywordString():
  config = json.loads('{"keywords": "sick vomit puke poisoning diarrhea", "use_hashtags": "true", "collection_frequency": "86400"}')
  keywords = config["keywords"].split(" ")
  use_hashtags = config["use_hashtags"]

  if use_hashtags == "true":
    hashtags = []
    for word in keywords:
      hashtags.append("#" + word)
    keywords = keywords + hashtags
  print(keywords)

  keyword_string = "("
  for word in keywords:
    keyword_string += word + " OR "
  keyword_string = keyword_string[:-4]
  keyword_string += ") lang:en -is:retweet"

  return keyword_string


def runModel():
  print("Scraping tweets using Twitter API Query: ", end="")
  keywords_string = createKeywordString()
  print(keywords_string)
  get_tweets.scrape_tweets(keywords_string)

  print("\n")

  print("Preprocessing scraped tweets")
  preprocess_streaming_data.mainPreprocess()

  print("\n")

  print("Making predictions on tweets")
  main_prediction.mainPredict()

  print("Uploading predictions on db")
  #testData()

  print("Making predictions on tweets")
  main_prediction.mainPredict()
  print("\n")

  print("Cleaning up data")
  clean_data.cleanData()
  print("\n")

  files = glob.glob(os.path.join("tmp/", "*"))
  for f in files:
    os.remove(f)

  print("Uploading data to DB")
  update_db.upload()
  print("\n")


def console():
  print("(edit) or (run) :")
  console_input = input(">")

  if console_input == "edit":
    print("(config) or (model) :")

    console_input = input(">")
    if console_input == "config":
      editConfig()

    #elif console_input == "model":
    #  editModel()

  elif console_input == "run":
      runModel()
