import pandas as pd
import math
import os
import glob

blacklist_accounts = ["cnn"]


def cleanData():

  path = os.path.join("tmp/", 'predicted_tweets_*.csv')
  file_list = glob.glob(path)
  file_counter = 0

  for file_name in file_list:
      df = pd.read_csv(file_name) 

      predictions = df.loc[df['sentence_prediction'] == 1]
      predictions = predictions[["id", "geo", "tweet_token", "token_prediction"]]

      foods = []
      symptoms = []
      locs = []

      geos = []

      food_count = 0
      symptom_count = 0
      loc_count = 0
      count = -1
      for index, row in predictions.iterrows():

          count += 1

          row_has_food = False
          row_has_symptom = False
          row_has_loc = False

          foods.append([])
          symptoms.append([])
          locs.append([])

          whitelist = set('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ')
          token_index_cnt = 0
          for tokPred in row['token_prediction'].split(","):

              if tokPred == "B-food" or tokPred == "I-food":
                  food_tkn = row['tweet_token'].split(",")[token_index_cnt].lower()
                  if food_tkn not in foods[count]:
                    foods[count].append(''.join(filter(whitelist.__contains__, food_tkn)))
                  if not row_has_food:
                    row_has_food = True

              elif tokPred == "B-symptom" or tokPred == "I-symptom":
                  symptom_tkn = row['tweet_token'].split(",")[token_index_cnt].lower()
                  if symptom_tkn not in symptoms[count]:
                    symptoms[count].append(''.join(filter(whitelist.__contains__, symptom_tkn)))
                  if not row_has_symptom:
                    row_has_symptom = True

              elif tokPred == "B-loc" or tokPred == "I-loc":
                  loc_tkn = row['tweet_token'].split(",")[token_index_cnt].lower()
                  if loc_tkn not in locs[count]:
                    locs[count].append(''.join(filter(whitelist.__contains__, loc_tkn)))
                    
                  if not row_has_loc:
                    row_has_loc = True

              token_index_cnt += 1

          if not row_has_food:
              foods[count].append(-1)
          if not row_has_symptom:
              symptoms[count].append(-1)
          if not row_has_loc:
              locs[count].append(-1)

      final = predictions[["id", "geo", "tweet_token"]]

      final["food_tokens"] = foods
      final["symptom_tokens"] = symptoms
      final["loc_tokens"] = locs

      final.to_csv("/output/final_" + str(file_counter) + ".csv", index=False)
      file_counter += 1
