import csv
import requests
import datetime
import dateutil.parser
import unicodedata
import time
import os
import json


os.environ['TOKEN'] = 'AAAAAAAAAAAAAAAAAAAAACu%2BRwEAAAAAPawAGenDgjlO1j4aBTB61yAHTpg%3DFMUoHbFfDMOnXzlzeMAehhtQuX5vWfWJyOH3o1WQQYuQq9tlv3'


def auth():
    return os.getenv('TOKEN')


def create_headers(bearer_token):
    headers = {"Authorization": "Bearer {}".format(bearer_token),"User-Agent": "v2FullArchiveSearchPython"}
    return headers


def create_url(keyword, start_date, end_date, max_results = 10):
    search_url = "https://api.twitter.com/2/tweets/search/all" #Change to the endpoint you want to collect data from
    query_params = {'query': keyword,
                    'start_time': start_date,
                    'end_time': end_date,
                    'max_results': max_results,
                    'expansions': 'author_id,in_reply_to_user_id,geo.place_id',
                    'tweet.fields': 'id,text,author_id,in_reply_to_user_id,geo,conversation_id,created_at,lang,public_metrics,referenced_tweets,reply_settings,source',
                    'user.fields': 'id,name,username,created_at,description,public_metrics,verified',
                    'place.fields': 'full_name,id,country,country_code,geo,name,place_type',
                    'next_token': {}}
    return search_url, query_params


def connect_to_endpoint(url, headers, params, next_token = None):
    params['next_token'] = next_token
    response = requests.request("GET", url, headers=headers, params=params)
    if response.status_code != 200:
        raise Exception(response.status_code, response.text)
    return response.json()


def scrape_tweets(keyword):
  bearer_token = auth()
  headers = create_headers(bearer_token)

  start_list = ['2018-03-02T17:00:43.000Z']
  end_list = ['2021-03-06T23:00:00.000Z']

  max_results = 10
  total_tweets = 0

  for i in range(0, len(start_list)):
      count = 0 
      max_count = 10
      flag = True
      next_token = None

      file_count = -1
      
      while flag:

          file_count += 1

          if count >= max_count:
              break

          url = create_url(keyword, start_list[i],end_list[i], max_results)
          json_response = connect_to_endpoint(url[0], headers, url[1], next_token)
          result_count = json_response['meta']['result_count']

          if 'next_token' in json_response['meta']:

              next_token = json_response['meta']['next_token']

              if result_count is not None and result_count > 0 and next_token is not None:

                  with open('tmp/tweets_'+str(file_count)+'.txt', 'w+') as f:
                      for tweet in json_response["data"]:
                          json.dump(tweet, f)
                          f.write("\n")

                  count += result_count
                  total_tweets += result_count
                  time.sleep(5)   

          else:
              if result_count is not None and result_count > 0:

                  with open('tmp/tweets_'+str(file_count)+'.txt', 'w+') as f:
                      for tweet in json_response["data"]:
                          json.dump(tweet, f)
                          f.write("\n")

                  count += result_count
                  total_tweets += result_count
                  time.sleep(5)
              
              flag = False
              next_token = None

          time.sleep(5)

  print("Total number of results: ", total_tweets)
