import React, { useState ,useEffect } from 'react';
import Navbar from './components/navbar/Navbar';
import Home from './pages/Home';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import About from './pages/About';
import Tracker from './pages/Tracker'
import Learn from "./pages/Learn";
import Admin from "./pages/Admin";
import BottomBanner from './components/bottom-banner/BottomBanner';


function App() {

    const [loading, setLoading] = useState(true);
    document.addEventListener('DOMContentLoaded', function () {
        // do things after the DOM loads fully
        console.log("Everything is loaded");
    });

    useEffect(()=>{
        console.log("app is loaded");
        setLoading(false);
    }, []);


  return (
      <div className="App">
        {!loading && 
            <Router>
                <Navbar />
                <Routes>
                    <Route path='/' element={<Home />} />
                    <Route path='/about' element={<About />} />
                    <Route path='/learn' element={<Learn />} />
                    <Route path='/tracker' element={<Tracker />} />
                    <Route path='/admin' element={<Admin />} />
                </Routes>
            <BottomBanner/>
            </Router>
        }
      </div>
      
  );
}

export default App;
