import React, { useState } from 'react';
import CountUp from 'react-countup';
import bacteriaLogo from '../../images/nauseated.svg'
import NotAvailable from '../not-available/NotAvailable';
import './currentFoodPoisonings.css';

function CurrentFoodPoisonings({numInput}) {

    // fetch number of tweets 
    const [numFoodPoisonings, setNumFoodPoisonings] = useState(numInput);

    return (
        <>
            <div className='currentFoodPoisonings-infographic'>
                <img src={bacteriaLogo} alt='logo' />
                <div className='content'>
                    <div className="counter">
                        <CountUp end={numFoodPoisonings} duration={5} />
                        <div className='text'>
                        <p> Current Food Poisoning Outbreaks</p>
                        <NotAvailable/>
                        </div>
                    </div>
                </div>
            </div>
        </>
    );
}

export default CurrentFoodPoisonings;
