import React, { useState, useEffect } from 'react';
import Union from '../../images/Union.svg'
import NotAvailable from '../not-available/NotAvailable';
import './dropDown.css';

function DropDown({ id, options, selectedOption, changeOption}) {

    const [showOptions, setShowOptions] = useState(false);
    var identifier = 'selection ' + id

    useEffect(()=>{
        console.log("dropdown is loaded");
    },[]);

    //callback function to learn.js
    function handleChangeOption(selectedOption){
        changeOption(selectedOption);
    }

    function isAvailable(id){
        if (id != 'one'){
            return false;
        }
        return true
    }

    return (
        <div className = {identifier}>
            {(!showOptions ?
                    <div className = 'dropDown' onClick ={()=> setShowOptions(!showOptions)}>
                        <span> {selectedOption} {isAvailable(id) ? <></>: <NotAvailable/> }</span>
                        <img className= 'arrow' src={Union} alt='logo' width= '40px' />
                    </div>
                    :
                    <div>
                        <div className = 'dropDown' onClick ={()=> setShowOptions(!showOptions)}>
                            <span> {selectedOption} {isAvailable(id) ? <></>: <NotAvailable/> } </span>
                            <img className= 'arrow' src={Union} alt='logo' width= '40px' />
                        </div>
                        <div className = 'options' onClick ={()=> setShowOptions(!showOptions)}>
                            {options.map((option)=> <span onClick = {()=> handleChangeOption(option)}> {option} </span>)}
                        </div>
                    </div>
            )
            }
        </div>
    );
}

export default DropDown;
