import React, { useState } from 'react';
import { Link } from 'react-router-dom';
import trackerImage from '../../images/tracker.png'
import wordCloudImage from '../../images/wordcloud.png'
import wpiImage from '../../images/wpi_icon.png';
import './exploreButton.css';

function ExploreButton({ title, subheading, CTA, location }) {
  const [click, setClick] = useState(false);

  const handleClick = () => setClick(!click);
  const closeMobileMenu = () => setClick(false);

  let image = ""
  let width = '150px';
  let height = '80px';
  let specialClass = 'wpi_logo';

  if(title === "Tracker"){
    image = trackerImage
    width = '150px';
    height = '100px';
    specialClass = '';
  }
  if (title === "Common Food Poisoning Words"){
    image = wordCloudImage
    width = '150px';
    height = '95px';
    specialClass = '';
  }
  if (title === "About Us"){
    image = wpiImage
    width = '100px';
    height = '80px';
    specialClass = 'wpi-small-logo';
  }
  return (
    <>
      <Link to={location}
        className='explore-button'
        onClick={closeMobileMenu}>
        <div>
          <h3>{title}</h3>
          <img className={specialClass} src={image} width={width} height={height}/>
          <p>{subheading}</p>
          <Link
            to={location}
            className='CTA-button'
            onClick={closeMobileMenu}
          >
            {CTA}
          </Link>
        </div>
      </Link>
    </>
  );
}

export default ExploreButton;
