import React, { useState, useEffect } from 'react';
import CountUp from 'react-countup';
import twitterLogo from '../../images/TwitterLogo.svg'
import './TwitterInfographic.css';

function TwitterInfographic() {

  // fetch number of tweets 
  const [tweetsCount, setTweetsCount] = useState();

  useEffect(() => {
    getTweetCount();
  }, []);

  function getTweetCount() {
    fetch('https://mqp-backend-l3sh3.ondigitalocean.app/tweetCount')
      .then(response => {
        return response.text();
      })
      .then(data => {
        setTweetsCount((JSON.parse(data))[0]["tweet_count"]);
      });
  }

  return (
    <div className='tweet-infographic'>
      <img src={twitterLogo} alt='logo' />
      <div className='content'>
        <div className="counter">
          <CountUp end={tweetsCount} duration={5} />
          <p>Food Poisoning Tweets</p>
        </div>
      </div>
    </div>
  );
}

export default TwitterInfographic;
