import React, { useState } from 'react';
import { Link } from 'react-router-dom';
import wpiLogo from '../../images/wpi.png';
import uiucLogo from '../../images/uiuc.png';
import './Navbar.css';

function Navbar() {
  const [click, setClick] = useState(false);

  const handleClick = () => setClick(!click);
  const closeMobileMenu = () => setClick(false);




  return (

      <>
        <nav className='navbar'>
          <Link to="/">
            <img src={wpiLogo} className = 'wpi-logo' alt='logo' />
          </Link>
          <img src={uiucLogo} className = 'uiuc-logo' alt='logo' />
          <div className='menu-icon' onClick={handleClick}>
            <i className={click ? 'fas fa-times' : 'fas fa-bars'} />
          </div>
          <ul className={click ? 'nav-menu active' : 'nav-menu'}>
            <li className='nav-item'>
              <Link to='/' className='nav-links' onClick={closeMobileMenu}>
                Home
              </Link>
            </li>
            <li className='nav-item'>
              <Link
                  to='/about'
                  className='nav-links'
                  onClick={closeMobileMenu}
              >
                About
              </Link>
            </li>
            <li className='nav-item'>
              <Link
                  to='/learn'
                  className='nav-links'
                  onClick={closeMobileMenu}
              >
                Learn
              </Link>
            </li>
            <li className='nav-item'>
              <Link
                  to='/tracker'
                  className='nav-links'
                  onClick={closeMobileMenu}
              >
                Tracker
              </Link>
            </li>
            <li className='nav-item'>
              <Link
                  to='/admin'
                  className='nav-links'
                  onClick={closeMobileMenu}
              >
                Admins
              </Link>
            </li>
          </ul>
        </nav>
      </>
  );
}

export default Navbar;
