import React from 'react';
import './PreventingFoodPoisoning.css';
import magnifyingGlass from '../../images/glass.svg';
import fridge from '../../images/fridge.svg';
import roastChicken from '../../images/roast-chicken.svg';
import rubberDuck from '../../images/rubber-duck.svg';
import Seperator from '../seperator/seperator';

function PreventingFoodPoisoning() {

    return (
        <div className='preventingFoodPoisoning-infographic'>
            <div className='heading'>
                <Seperator />
                <h2>How Can You Prevent Food Poisoning?</h2>
                <Seperator />
            </div>
            <div className='preventingFoodPoisoning-section1'>
                <div className='preventingFoodPoisoning-miniSection'>
                    <p>1. Check inspection scores</p>
                    <img src={magnifyingGlass} alt='magnifying glass' />
                </div>
                <div className='preventingFoodPoisoning-miniSection'>
                    <p>2. Making sure restaurant is clean</p>
                    <img src={rubberDuck} alt='rubber duck' />
                </div>
                <div className='preventingFoodPoisoning-miniSection'>
                    <p>3. Check for thoroughly cooked food</p>
                    <img src={roastChicken} alt='roasted chicken' />
                </div>
                <div className='preventingFoodPoisoning-miniSection'>
                    <p>4. Refigerate leftovers after 2 hours (max)</p>
                    <img src={fridge} alt='fridge' />
                </div>
            </div>
            <div className='resources'>
                <p>Information provided by the CDC</p>
            </div>
        </div>
    );
}

export default PreventingFoodPoisoning;
