import React from 'react';
import tomatoImage from '../../images/tomato.svg'
import calendarImage from '../../images/calendar.svg'
import Seperator from '../seperator/seperator';
import './WhatIsFoodPoisoning.css';

function WhatIsFoodPoisoning() {

    return (
        <div className='whatIsFoodPoisoning-infographic'>
            <div className= 'heading'>
                <Seperator />
                <h2>What is Food Poisoning?</h2>
                <Seperator />
            </div>
            <div className='sections'>
                <div className='whatIsFoodPoisoning-section1'>
                    <p>Illness caused by bacteria found in contaminated food</p>
                </div>
                <div className='whatIsFoodPoisoning-section2'>
                    <div className='whatIsFoodPoisoning-part1'>
                        <img src={tomatoImage} alt="food poisoning infographic"/>
                        <p><b>1.</b> Bacteria, viruses, and parasites infect food at any point in production and processing</p>
                    </div>
                    <div className='whatIsFoodPoisoning-part2'>
                        <img src={calendarImage} alt="food poisoning infographic"/>
                        <p> <b>2.</b> Within hours, symptoms may start appearing (depending on the type of bacteria). It may take hours to weeks for symptoms to appear.</p>
                    </div>
                </div>
            </div>
            <div className='resources'>
                <p>Information provided by the CDC</p>
            </div>
        </div>
    );
}

export default WhatIsFoodPoisoning;
