import React, { useState } from 'react';
import './About.css';
import BlankPFP from '../images/BlankPFP.png';
import usdaLogo from '../images/usda.png';
import uiucLogo from '../images/uiuc.png';
import jccarroll from '../images/jccarroll.jpeg'
import pbreakdown from '../images/project breakdown.JPG'
import haofeng from '../images/HaoFeng.png'
import dandan from '../images/DandanTao.jpg'
import dongyu from '../images/dongyu.jpg'
import david from '../images/david.jpg'
import rundenst from '../images/rundenst.jpg'
import vedant from '../images/vedant.PNG'
import isabel from '../images/isabel.jpeg'
import nick from '../images/nick.jpg'
import roufan from '../images/roufan.jpg'
import cole from '../images/cole.JPG'


const ColoredLine = ({ color }) => (
    <hr
        style={{
            color: color,
            backgroundColor: color,
            height: 5
        }}
    />
);


export default function About() {
    return (
        <>
            <h2 className='About-us-heading'>About Us</h2>
            <p className='About-us-description'>
                Fresh produce has repeatedly resulted in devastating foodborne disease outbreaks, leading to erosion of consumer confidence, illness, and even loss of life.  Our mission is to create a way to prevent these outbreaks, by using signs from social media to locate foodborne diseases before they spread.
            </p>

            <ColoredLine color="black" />

            <div class="inline-div">
                <a href="#Meet">
                    <h4>| Meet the team |</h4></a>

                <a href="#Partners">
                    <h4>| Our Partners |</h4></a>

                <a href="#Breakdown">
                    <h4>| Project Breakdown |</h4></a>
            </div>

            <ColoredLine color="black" />

            <div id="Meet" className="About-us-heading">
                <h3>Meet the Team</h3>
            </div>

            <div className="Team">

                <div className="headerImage">
                    <img src={nick} className='pfp' alt='logo' />
                    <h6>Nick</h6>
                    <p3>Degree: Bachelors<br></br>
                        Major: Computer Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={david} className='pfp' alt='logo' />
                    <h6>David</h6>
                    <p3>Degree: BS/MS<br></br>
                        Major: Computer Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={cole} className='pfp' alt='logo' />
                    <h6>Cole</h6>
                    <p3>Degree: Bachelors<br></br>
                        Major: Computer Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={isabel} className='pfp' alt='logo' />
                    <h6>Isabel</h6>
                    <p3>Degree: Bachelors<br></br>
                        Major: Computer Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={jccarroll} className='pfp' alt='logo' />
                    <h6>John</h6>
                    <p3>Degree: BS/MS<br></br>
                        Major: Computer Science<br></br>
                        Minor: Chinese Studies<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={rundenst} className='pfp' alt='logo' />
                    <h6>Prof. Rundensteiner</h6>
                    <p3>Degree: Ph.D.<br></br>
                        Major: Computer Science<br></br>
                        University: University of California</p3>
                </div>

                <div className="headerImage">
                    <img src={roufan} className='pfp' alt='logo' />
                    <h6>Roufan</h6>
                    <p3>Degree: Ph.D. Candidate<br></br>
                        Major: Data Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={dongyu} className='pfp' alt='logo' />
                    <h6>Dongyu</h6>
                    <p3>Degree: Ph.D. Candidate<br></br>
                        Major: Data Science<br></br>
                        University: Worcester Polytechnic Institute</p3>
                </div>

                <div className="headerImage">
                    <img src={dandan} className='pfp' alt='logo' />
                    <h6>Dandan Tao</h6>
                    <p3>Degree: Ph.D.<br></br>
                        Major: Food Science and Human Nutrition<br></br>
                        University: University of Illinois at Urbana-Champaign</p3>
                </div>

                <div className="headerImage">
                    <img src={haofeng} className='pfp' alt='logo' />
                    <h6>Hao Feng</h6>
                    <p3>Professor of Food and Bioprocess Engineering<br></br>
                        Site Director of Center for Advanced Research in Drying (CARD)</p3>
                </div>

                <div className="headerImage">
                    <img src={vedant} className='pfp' alt='logo' />
                    <h6>Vedant Mundada</h6>
                    <p3>Degree: Graduate Masters Student<br></br>
                        Major: Food Science and Human Nutrition<br></br>
                        University: University of Illinois at Urbana-Champaign</p3>
                </div>
            </div>


            <ColoredLine color="black" />

            <div id="Partners" className="About-us-heading">
                <h3>Our Partners</h3></div>


            <ColoredLine color="black" />
            <div className='About-us-partners'>

                <div className='About-us-partner'>

                    <div className="uiuc-img">
                        <img src={uiucLogo} className='uiuc' alt='logo' />
                    </div>

                    <div className="uiuc-text">
                        <p4>The University of Illinois team provided essential research towards the early stages of machine learning development.
                            Their team explored the process of using the deep learning model to analyze data.  They provided the framework for the
                            machine learning algorithms that pulled tweet data. The collaboration with UIUC allowed our team to have a head start in this USDA sponsored project.</p4>
                    </div>
                </div>

                <div className='About-us-partner'>

                <div className="usda-img">
                    <img src={usdaLogo} className='usda' alt='logo' />
                </div>

                <div className="usda-text">
                    <p5>The USDA is the sponsor of this MQP.
                        They tasked our team with creating the startup of what would later become a food poisoning prediction system.<br></br><br></br></p5>
                </div>
                </div>

            </div>

            <ColoredLine color="black" />

            <div id="Breakdown" className="About-us-heading">
                <h3>Project Breakdown</h3>
            </div>

            <div className="project-desc">
                <p6>The overall project objective is in the process of being constructed through multiple stages.  In the early stage, we explored how food borne illness outbreaks often start through observing their symptoms, infection patterns, and common foods related to them.  In addition, our team worked on a machine learning modal that would identify social media posts related to food borne illness, and collect it for later use.<br></br><br></br>

                    Using identifiable keywords, our system was modified to better organize collected posts into groups related to multiple categories.  These include symptoms, foods, dining establishments, and geographical locations.  By uploading dissected versions of these posts to a data server, our team was capable of accessing information about potential food borne outbreaks on a daily basis.<br></br><br></br>

                    Next, our team needed a platform to display, and visualize the data.  Our team began working on a website that would provide the tools necessary for a user to view our data.  Through this platform, they can also learn more about food poisoning, how it starts, and look at its history through our interactive timeline tool. Included on the site are areas where we would provide the next stage’s tools.<br></br><br></br>

                    In the following stage, our team would create tools that would help visualize the daily potential outbreak data.  This would give the user a way of seeing current food borne illnesses, and allow them to make their own educated assumptions about regions of dense outbreaks through our heat map tool.  In addition, we created a word cloud that would provide a fun, and visual way of recognizing the relevance of certain locations, foods, and symptom keywords throughout time.<br></br><br></br>

                    In future stages, we hope that teams will take this framework, and use it to create a system that can predict food borne illness outbreaks before they happen.  We estimate this is possible through social media post pattern recognition, as well as using concurrent outbreaks patterns throughout history.<br></br><br></br>
                </p6>
            </div>

        </>



    );
}