import React, { useState, useEffect } from 'react';

let buttonStyle = {
    backgroundColor: "grey",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "20px",
    display: "inline"
};

let logDisplayStyle = {
    backgroundColor: "white",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px",
    display: "inline"
};

let logTerminalStyle = {
    backgroundColor: "skyblue",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px",
    display: "flex",
    justifyContent: "center"
};

let configTerminalStyle = {
    backgroundColor: "orange",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px",
    display: "flex",
    justifyContent: "center"
};

let statsDisplayStyle = {
    backgroundColor: "pink",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px",
    display: "flex",
    justifyContent: "center"
};

let configTerminalButtonsContainerStyle = {
    display: "inline"
};

let configTerminalFileDisplayStyle = {
    backgroundColor: "white",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px"
};

let tweetStatsDisplayStyle = {
    backgroundColor: "blue",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px"
};

let visitorStatsDisplayStyle = {
    backgroundColor: "green",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px"
};

let geoStatsDisplayStyle = {
    backgroundColor: "white",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px"
};

let modelStatsDisplayStyle = {
    backgroundColor: "purple",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px"
};

let queryTerminalStyle = {
    backgroundColor: "tan",
    margin: "10px 10px 10px 10px",
    padding: "10px 10px 10px 10px",
    borderRadius: "12px",
    display: "flex",
    justifyContent: "center"
};

let varTypeToInputType = {
    number: "number",
    boolean: "checkbox",
    object: "string"
};

let loading = false;

export default function Admin() {

    const [loaded, setLoaded] = useState(false);
    const [logFile, setLogFile] = useState(undefined);
    const [configFile, setConfigFile] = useState(undefined);
    const [timeDelta, setTimeDelta] = useState(999);

    useEffect(() => {
        let interval: any = null;
        interval = setInterval(() => {
            setTimeDelta(timeDelta - 1);
        }, 1000);
        return () => clearInterval(interval);
    }, [timeDelta]);

    function loadLogFile() {
        fetch('test_log.txt')
            .then(response => response.text())
            .then(text => setLogFile(text));
    }

    function loadConfigFile() {
        fetch('test_config.json')
            .then(response => response.json())
            .then(data => setConfigFile(data))
    }

    function constructLogFileDisplay() {
        let logFileRowsText = logFile.split(/\r?\n/);
        let logFileRows = [];
        for (let text of logFileRowsText) {
            logFileRows.push(
                <div>
                    { text }
                </div>
            );
        }
        return logFileRows;
    }

    function updateConfigFileVar() {

    }

    function constructConfigFileDisplay() {
        let configFileRows = [];
        for (var key of Object.keys(configFile)) {
            let testVar = typeof(configFile[key]);
            configFileRows.push(
                <>
                    { key }:
                    &nbsp;
                    {varTypeToInputType[testVar] !== "checkbox" &&
                        <input
                            type={ varTypeToInputType[testVar] }
                            value={ configFile[key] }
                            onChange={ () => updateConfigFileVar() }
                        />
                    }

                    {varTypeToInputType[testVar] === "checkbox" &&
                        <input
                            type={ varTypeToInputType[testVar] }
                            checked={ configFile[key] }
                            onChange={ () => updateConfigFileVar() }
                        />
                    }

                    <br/>
                </>
            );
        }
        return configFileRows;
    }

    if (!loading && !loaded) {
        loading = true;
        loadLogFile();
        loadConfigFile();
    }

    return (
        <>
            <div style={ logTerminalStyle }>
                <div>
                    State: Idle <br/>
                    Last Ran: 2/23/22, 12:00 <br/>
                    Idle Timer: { timeDelta } <br/>
                </div>
                <div style={ logDisplayStyle }>
                    {logFile &&
                        <>
                            { constructLogFileDisplay() }
                        </>
                    }
                </div>
                <div>
                    <button style={ buttonStyle }>
                        Force-Run Pipeline
                    </button> <br/>
                    <button style={ buttonStyle }>
                        Freeze Pipeline
                    </button> <br/>
                </div>
            </div>

            <div style={ configTerminalStyle }>
                <div style={ configTerminalFileDisplayStyle }>
                    {configFile &&
                        <>
                            { constructConfigFileDisplay() }
                        </>
                    }
                </div>
                <div style={ configTerminalButtonsContainerStyle }>
                    <button style={ buttonStyle }>
                        Update Config File
                    </button> <br/>
                    <button style={ buttonStyle }>
                        Reset Config File
                    </button> <br/>
                </div>
            </div>


            <div style={ queryTerminalStyle }>
                <input type="string" style={{width: "30vw", height: "1vh", display: "inline", margin: "10px 10px 10px 10px", padding: "10px 10px 10px 10px"}} />
                <div style={{borderRadius: "12px", backgroundColor: "black", color: "white", display: "inline", margin: "10px 10px 10px 10px", padding: "10px 10px 10px 10px", width: "50vw", height: "20vh"}}>
                    DB Terminal <br/>
                </div>
            </div>

            <div style={ statsDisplayStyle }>

                <div style={ geoStatsDisplayStyle }>
                    Tweets: <br/>
                    Scraped: 100,000 <br/>
                    Saved: 20,000 <br/>
                    Ratio: 20% <br/>
                </div>

                <div style={ geoStatsDisplayStyle }>
                    Geo: <br/>
                    States: 30 <br/>
                    Counties: 200 <br/>
                    Num Found: 100 <br/>
                    Num Predicted: 100 <br/>
                </div>

                <div style={ geoStatsDisplayStyle }>
                    Model: <br/>
                    Unique Foods: 100 <br/>
                    Unique Symptoms: 100 <br/>
                    Unique Locations: 100 <br/>
                </div>

                <div style={ geoStatsDisplayStyle }>
                    Visitors: <br/>
                    Current: 100 <br/>
                    All-Time: 10,000 <br/>
                </div>
            </div>
        </>
    );
}
