import React from 'react';
import TwitterInfographic from '../components/infographics/TwitterInfographic';
import CurrentFoodPoisonings from '../components/current-food-poisonings/CurrentFoodPoisonings';
import Timeline from '../components/timeline/Timeline';
import ExploreButton from '../components/explore-buttons/exploreButton';
import WhatIsFoodPoisoning from '../components/what-is-food-poisoning/WhatIsFoodPoisoning';
import FoodPoisoningSymptoms from '../components/food-poisoning-symptoms/FoodPoisoningSymptoms';
import PreventingFoodPoisoning from '../components/preventing-food-poisoning/PreventingFoodPoisoning';
import './Standard.css';
import './Home.css';

export default function Home() {
    return (
        <div className="home">
            <Timeline />
            <h2>So far we have analyzed ...</h2>
            <div className="infographics">
                <TwitterInfographic/>
                <CurrentFoodPoisonings numInput={0} />
            </div>
            <div className="explore-buttons">
                <ExploreButton title={"Tracker"} location={'/tracker'} subheading={"Explore past outbreaks and interact with the data"} CTA={"EXPLORE"}/>
                <ExploreButton title={"Common Food Poisoning Words"} location={'/learn'} subheading={"Explore our world cloud"} CTA={"EXPLORE"}/>
                <ExploreButton title={"About Us"} location={'/about'} subheading={"Learn more about the project  and future work"} CTA={"LEARN"}/>
            </div>
            <div className="learning-infographics">
                <WhatIsFoodPoisoning/>
                <FoodPoisoningSymptoms/>
                <PreventingFoodPoisoning/>
            </div>
            <div className="resources">
                <p>some images gathered from stockio.com</p>
            </div>
        </div>

    );
}